Bug 552263

Summary: Package of bacula-2.4.4 client is needed for compatibility
Product: [Fedora] Fedora Reporter: Andris Pavenis <andris.pavenis>
Component: baculaAssignee: Andreas Thienemann <andreas>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: andreas, dnovotny, fschwarz, limburgher, mmcgrath, paul, rvokal, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-01 15:41:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 575822    
Bug Blocks:    

Description Andris Pavenis 2010-01-04 09:27:18 EST
Description of problem:

bacula-3.0 client available from Fedora-12 is incompatible with bacula-2.4.X server. Having client part of bacula-2.4.4 woul allow to backup Fedora-12 system to older bacula server (like 2.4.4)

How reproducible:

Steps to Reproduce:
1. Try to use bacula client from it with existing server of older bacula (like 2.4.4). It will always fail
  
Actual results:

Expected results:


Additional info:

I had problems with building old bacula version (2.4.4) in F12 (i686) due to
incompatibility with openssl version from F12. As a workaround installed F11 package and required shared libraries manually (copied out from RPMs) to have working version and to prevent yum from upgrading it.

Having package of bacula-2.4.4 client would be of course be better.
Comment 1 Felix Schwarz 2010-02-05 05:38:50 EST
Do we really support this? In Fedora general we don't introduce additional packages with older versions. If none of the bacula maintainers objects, I'll close this as WONTFIX in a week or so.
Comment 2 Paul Howarth 2010-02-05 06:03:41 EST
I don't think this is an unreasonable request. I can well envisage a setup with an EL-4 or EL-5 server and Fedora desktops; the EPEL versions of bacula are currently 2.4.4, which lines up with the reporter's state.

Having said that, I think that a bacula2-client should be a separate package (since it would be built from a different source tarball than current bacula) and should be submitted and reviewed as such rather than being another subpackage of bacula.
Comment 3 Jon Ciesla 2010-02-05 08:21:26 EST
Felix, I actually do object.  There are several people involved in the maintenance of Bacula, any of which could work on this, and I'd really rather see this depend on a review bug for the package Paul is suggesting.

That said, I don't have time to make one right now, but I'd be happy to aid in or do the review.
Comment 4 Felix Schwarz 2010-02-05 09:26:12 EST
Ok, so to summarize:
 - Having a bacula2-client package is a good idea to help Fedora users which use Fedora EPEL with 2.x director.
 - So far no one has time to produce such a package - if someone steps up, he'll get some support from existing maintainers.

Should we keep this ticket open until such a package (potentially indefinitely) exist?
Comment 5 Jon Ciesla 2010-02-05 10:26:11 EST
Yes and yes.  What harm would that do?  Tag it FutureFeature if you like.
Comment 6 Paul Howarth 2010-02-05 12:16:19 EST
OK, I've had a first crack at putting something together, based on the EL-5 package. It's a client-only package so there's no director or storage packages.

http://www.city-fan.org/~paul/bacula/

Notes:

1. I don't have a bacula2 server so I can't test these
2. In fact I've not even tried *installing* them yet
3. They will conflict with the Fedora bacula packages at the moment, which needs fixing

It's a reasonable starting point though.
Comment 7 Felix Schwarz 2010-02-06 06:43:01 EST
I changed Paul's SRPM a bit so that the rpm is actually installable in parallel to bacula 3/5. Also I disabled FORTIFY_SOURCE due to a false positive in modern GCC versions (this is fixed in Bacula since 2.5.28 I think). Now the RPM should work (only the client - you can use the console packages from a newer bacula).

New srpm:
http://www.felix-schwarz.name/files/misc/2010/bacula2-2.4.4-3/

However I'm a bit reluctant to issue a review request on this package as I don't want to be responsible to maintain an old version of a pretty complex software and make all the continuous changes due to modern Fedora components. However I would step up as a co-maintainer.
Comment 8 Andris Pavenis 2010-03-11 10:03:17 EST
This package is working normally some time for me after I built from SRPM and installed already for several weeks.

Bacula server (version 2.4.2 or 2.4.4) is running under CentOS 5.

So all seems to be OK for me.
Comment 9 Jon Ciesla 2010-06-01 15:41:45 EDT
bacula2 is now a reality.